Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Not translatable: Reasonable Quantity & Out of Stock #2845

Closed
moonglum opened this Issue · 5 comments

2 participants

@moonglum

It's not possible to localize the errors "Reasonable Quantity" and "Out of Stock" via i18n. The only way currently is to overwrite the entire file order_populator.rb, because the Strings are hardcoded. See here and here.

@radar
Collaborator
@moonglum

Yep, I'll send you a pull request sometime this week :smile:

@radar
Collaborator
@radar radar referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@radar radar referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@radar
Collaborator

I had some spare cycles today and thought I would tackle this, and I did. Please check out the latest commits on my master/1-3-stable branches at radar/spree.

@radar radar referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@radar radar referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@radar radar referenced this issue from a commit in radar/spree
@radar radar Make OrderPopulator error messages translatable
Fixes #2845
5861918
@radar radar closed this issue from a commit
@radar radar Make OrderPopulator error messages translatable
Fixes #2845

Conflicts:
	core/app/models/spree/order_populator.rb
a27c912
@radar radar closed this in a27c912
@moonglum

Awesome Ryan, thank you so much! :+1:

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.